Name:		portmap
Version:	6.0
Release:	%mkrel 3
Summary:	A program which manages RPC connections
Group:		System/Servers
License:	BSD
URL:		http://neil.brown.name/portmap/
Source0:	http://neil.brown.name/portmap/portmap-%{version}.tgz
Source1:	portmap.init
Source2:	pmap_set.8.bz2
Source3:	pmap_dump.8.bz2
Source4:	portmap.8.bz2
Source5:	portmap.sysconfig
Patch8:		portmap_4-typo.patch
Requires(pre):      rpm-helper
Requires(preun):    rpm-helper
Requires(post):     rpm-helper
Requires(postun):   rpm-helper
BuildRequires:      tcp_wrappers-devel
Provides:           portmapper
Requires:	        setup >= 2.1.9-38mdk
BuildRoot:	        %{_tmppath}/%{name}-%{version}

%description
The portmapper program is a security tool which prevents theft of NIS
(YP), NFS and other sensitive information via the portmapper.  A
portmapper manages RPC connections, which are used by protocols like
NFS and NIS.

The portmap package should be installed on any machine which acts as
a server for protocols using RPC.

%prep 
%setup -q -n %{name}_%{version}
%patch8 -p1 -b .typo

%build
%serverbuild

make \
    FACILITY=LOG_AUTH ZOMBIES='-DIGNORE_SIGCHLD -Dlint' \
    LIBS="-lnsl" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
    WRAP_DIR=%{_libdir}

%install
rm -rf %{buildroot}

install -d %{buildroot}/sbin
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_sysconfdir}/sysconfig

install -m0755 portmap %{buildroot}/sbin/
install -m0755 pmap_set %{buildroot}%{_sbindir}/
install -m0755 pmap_dump %{buildroot}%{_sbindir}/

install -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/portmap
install -m0644 %{SOURCE2} %{buildroot}%{_mandir}/man8/
install -m0644 %{SOURCE3} %{buildroot}%{_mandir}/man8/
install -m0644 %{SOURCE4} %{buildroot}%{_mandir}/man8/
install -m0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/portmap

%pre
%_pre_useradd rpc / /bin/false

%post
%_post_service portmap
# restart running services depending on portmapper
for service in amd autofs bootparamd clusternfs mcserv \
               nfs-common nfs-server \
               ypserv ypbind yppasswdd ypxfrd; do
    if [ -f /var/lock/subsys/$service ]; then
        /sbin/service $service restart > /dev/null 2>/dev/null || :
    fi
done

%triggerpostun -- portmap <= portmap-4.0-9
/sbin/chkconfig --add portmap

%preun
%_preun_service portmap

%postun
%_postun_userdel rpc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README* CHANGES BLURBv5
%{_initrddir}/portmap
%config(noreplace) %{_sysconfdir}/sysconfig/portmap
/sbin/portmap
%{_sbindir}/pmap_dump
%{_sbindir}/pmap_set
%{_mandir}/*/*




%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.0-3mdv2009.0
+ Revision: 225024
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 6.0-2mdv2008.1
+ Revision: 111198
- don't strip manually
- restart other services depending on portmapper after restarting itself

* Tue May 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 6.0-1mdv2008.0
+ Revision: 26902
- new version
  drop merged patches
  provide virtual package portmapper


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.0-31mdv2007.1
+ Revision: 138728
- init script cleanup:
 - use functions to avoid useless forks
 - remove useless test on binary
 - prevent start if lockfile is present
- spec file cleanup:
 - don't set file perms and ownership in %%file section

* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 4.0-30mdv2007.1
+ Revision: 134444
- Import portmap

* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 4.0-30mdv2007.1
- bunzip patches

* Thu Sep 14 2006 Olivier Blin <blino@mandriva.com> 4.0-29mdv2007.0
- fix syntax error in service when NETWORKING is not defined (thanks Nanar)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 4.0-28mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 4.0-27mdk
- convert parallel init to LSB
- add some missing Requires(X)

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 4.0-26mdk
- parallel init support

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.0-25mdk
- Rebuild

* Tue Aug 02 2005 Olivier Blin <oblin@mandriva.com> 4.0-24mdk
- do not wait for network if portmap isn't to be bound to ip or host
  (i.e. do not hang needlessly for 25 seconds at boot)
- Patch8: fix typo in tcp bind error message
- fix pre/post/postun requires

* Fri Mar 18 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.0-23mdk
- wait for network to be up
- gprintify
- initscripts no more config

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.0-22mdk
- used a newer P3 from fedora
- added P6 from fedora (slightly adjusted)
- added backported P8 to make it able to bind to ip or host address,
  fix S1 to respect that and added S5 to set it
- added url
- misc spec file fixes

